#!/bin/bash

function cleanup {
  # Your cleanup code here
  echo "My pid is: $$ ?"
  echo "Pids to kill: $(pgrep -P $$)"
  pkill -P $$
}
trap cleanup EXIT

# Now the real work:

# Things to measure:
# - availability of loadbalancer (log_haproxy.sh)
# - availability of webconsole and master APIs (log_master_api.sh)
# - state of nodes (log_oc_nodes.sh)
# - state of pods (log_oc_pods.sh)
# - availability of servers
# - pings between servers (log_ping_between.sh)

mkdir $1
cd $1

#../log_haproxy.sh &
#../log_master_api.sh &
#../log_oc_nodes.sh &
#../log_oc_pods.sh &
../uptime_hv.sh &
../virsh_list_hv.sh &
../uptime_vm.sh &
../gluster_peer_check.sh<Hostname> &
wait

