#!/bin/bash
# This script will check the runing services for every host you provide in a source file.
# Example of running  ./service_check_loop.sh <some_file_with_hosts>

HOSTNAME=($(cat $1))

if [ $# -lt 1 ]
then
    echo "Syntax: ./$(basename $0) <file name>"
  exit
fi

for host in "${HOSTNAME[@]}"
do
printf "%s " "$host,"
SSH_OUT=$(ssh -n root@$host "netstat -pnltu|cut -d "/" -f2|sed '/^$/d'|sort|uniq"|tr '\n' ',')
echo $SSH_OUT
done |tee -a /tmp/$1.log
