#!/bin/bash
#Roy Cohen                                      :roy@wondercohen.nl
#objective                                      :Gluster check from within a pod server heal for Nagios
#First line of code                             :15/01/2019
#last update                                    :24/01/2019
#version                                        :1.0

######START OF SCRIPT#######
gluster volume status all > /brick_status

for volume in $(gluster volume info all | grep "Volume Name:"| cut -d ":" -f2)
do
        echo "volume, $volume" 
        gluster v heal $volume info |grep entries|cut -d ":" -f2
done > /gluster_monitoring_heal