#!/bin/bash
#Roy Cohen                                      :roy@wondercohen.nl
#objective                                      :Copy check script to gluster pod for Nagios
#First line of code                             :15/01/2019
#last update                                    :31/01/2019
#version                                        :1.1

######START OF SCRIPT#######
POD=$(oc get pods -n glusterfs | grep Running | grep 'glusterfs-storage' | head -n 1 | cut -d' ' -f1)
cd /root/scripts/
oc cp check_gluster_pod.sh glusterfs/$POD:/
oc exec -n glusterfs $POD /check_gluster_pod.sh && oc cp glusterfs/$POD:gluster_monitoring_heal /tmp && oc cp glusterfs/$POD:brick_status /tmp && oc cp glusterfs/$POD:brick_peer /tmp