#!/bin/bash

FROM_SERVER=$1
TO_SERVER=$2
LOG_FILE="ping_${FROM_SERVER}_to_${TO_SERVER}.log"

for (( ; ; ))
do
  date >> $LOG_FILE
  ssh -o ConnectTimeout=1 -o ConnectionAttempts=1 \
    ${FROM_SERVER} ping ${TO_SERVER} | awk '{ print strftime("%Y-%m-%d %H:%M:%S"), $0; fflush(); }' >> $LOG_FILE
  echo "Disconnected from server..." >> $LOG_FILE
  sleep 10
done
